Bug 230316

Summary: New port: www/kiwix-tools: offline Wikipedia reader (tools)
Product: Ports & Packages Reporter: Pavel Minaev <me>
Component: Individual Port(s)Assignee: Torsten Zuehlsdorff <tz>
Status: Closed FIXED    
Severity: Affects Only Me CC: evfbsd, tz
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
Bug Depends on: 230315    
Bug Blocks:    
Attachments:
Description Flags
Port
none
kiwix-tools 0.7.0
none
kiwix-tools 0.8.0 none

Description Pavel Minaev 2018-08-03 04:14:51 UTC
Created attachment 195805 [details]
Port

Kiwix is an offline reader for web content archived in ZIM format. It is
particularly tailored towards Wikipedia and other wikis.

kiwix-tools contains command-line Kiwix tools: a local HTTP server to serve
content, and a set of tools to manage ZIM files.

See http://www.kiwix.org/ for more information.

This port depends on kiwix-lib (https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=230315)
Comment 1 ev 2018-11-11 20:44:26 UTC
31 oct 2018 released 0.7.0
Importance: Affects Many People
Comment 2 Pavel Minaev 2018-11-12 10:09:34 UTC
Created attachment 199159 [details]
kiwix-tools 0.7.0

Updated to version 0.7.0. Note that this requires the updated kiwix-lib (3.0.2) as well. 

The patches that were included in the old version of port to compile on FreeBSD were merged upstream, and are no longer necessary.
Comment 3 Torsten Zuehlsdorff freebsd_committer 2019-01-23 14:17:25 UTC
Hello Pavel,

can you please update the port to current 0.8.0? Than i will have a look at it!

Greetings,
Torsten
Comment 4 Pavel Minaev 2019-01-28 06:52:33 UTC
Created attachment 201471 [details]
kiwix-tools 0.8.0

Updated to version 0.8.0.
Comment 5 commit-hook freebsd_committer 2019-01-28 10:17:03 UTC
A commit references this bug:

Author: tz
Date: Mon Jan 28 10:16:32 UTC 2019
New revision: 491472
URL: https://svnweb.freebsd.org/changeset/ports/491472

Log:
  [new port] www/kiwix-tools

  Kiwix is an offline reader for web content archived in ZIM format. It is
  particularly tailored towards Wikipedia and other wikis.

  This package contains command-line Kiwix tools: a local HTTP server to serve
  content, and a set of tools to manage ZIM files.

  WWW: http://www.kiwix.org/

  PR:		230316
  Submitted by:	Pavel Minaev <int19h@gmail.com>

Changes:
  head/www/Makefile
  head/www/kiwix-tools/
  head/www/kiwix-tools/Makefile
  head/www/kiwix-tools/distinfo
  head/www/kiwix-tools/files/
  head/www/kiwix-tools/files/kiwix_serve.in
  head/www/kiwix-tools/files/library.xml
  head/www/kiwix-tools/pkg-descr
  head/www/kiwix-tools/pkg-plist
Comment 6 Torsten Zuehlsdorff freebsd_committer 2019-01-28 10:17:29 UTC
Committed, thanks for the update and of course the new port!

Greetings,
Torsten